<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00008">
    <sch:p xmlns:ism="urn:us:gov:ic:ism" ism:classification="U" ism:ownerProducer="USA" class="ruleText">
        [PUBS-ID-00008][Error] The IntelDoc element must have 
        element content in at least one of the descendent elements.
        
        Human Readable: Element IntelDoc must have content in at least one child element.
    </sch:p>

    <sch:p xmlns:ism="urn:us:gov:ic:ism" ism:classification="U" ism:ownerProducer="USA" class="codeDesc">
        This calculates the string value of the pubs:IntelDoc element if the value contains any non white space, then the rule returns true.
    </sch:p>

    <sch:rule id="PUBS-ID-00008-R1" context="pubs:DocumentBody">
        <sch:assert test="string-length(normalize-space(string-join(descendant-or-self::text(),'')))&gt;0" flag="error" role="error">
            [PUBS-ID-00008][Error] The IntelDoc element must have 
            element content in at least one of the descendent elements.
            
            Human Readable: Element IntelDoc must have content in at least one child element.
        </sch:assert>
    </sch:rule>
</sch:pattern>