<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" is-a="CompareDateTimes" id="PUBS-ID-00048">
    <sch:p xmlns:ism="urn:us:gov:ic:ism" ism:classification="U" ism:ownerProducer="USA" class="ruleText">
        [PUBS-ID-00048][Warning] DateRevised must be later than or equivalent to
        DateApproved, DatePublished, DatePosted, and DateInfoCutoff.
        
        Human Readable: DateRevised has to be greater than or equal to DateApproved, DatePublished, DatePosted, and DateInfoCutoff.
    </sch:p>
    
    <sch:p xmlns:ism="urn:us:gov:ic:ism" ism:classification="U" ism:ownerProducer="USA" class="codeDesc">
        This rule uses an abstract pattern to consolidate logic.
        It compares the date contained within the p $context to each date 
        contained within the p $secondaryDateList (using the comparison operator 
        contained in p $operator) and makes sure that each comparison returns 
        true. Implementation details for the abstract pattern can be found in the 
        abstract pattern definition file located in the Lib directory.
    </sch:p>
    
    <sch:param name="ruleText" value="'[PUBS-ID-00048][Warning] DateRevised must be later than or equivalent to DateApproved, DatePublished, DatePosted, and DateInfoCutoff.'"/>
    
    <sch:param name="codeDesc" value="'This rule uses an abstract pattern to consolidate logic. It compares the date contained within the param $context to each date
        contained within the param $secondaryDateList (using the comparison operator contained in param $operator) and makes sure that each comparison returns          
        true. Implementation details for the abstract pattern can be found in the abstract pattern definition file located in the Lib directory.         '"/>
    
    <sch:param name="context" value="pubs:AdministrativeMetadata/pubs:DateList/pubs:DateRevised"/>
    <sch:param name="operator" value="'&gt;='"/>
    <sch:param name="secondaryDateList" value="(ancestor::tdf:*//irm:ICResourceMetadataPackage/irm:dates/@irm:approvedOn,                          
        ancestor::tdf:TrustedDataObject//pubs:AdministrativeMetadata/pubs:DateList/pubs:DatePublished,                          
        ancestor::tdf:*//irm:ICResourceMetadataPackage/irm:dates/@irm:posted,       
        ancestor::tdf:*//irm:ICResourceMetadataPackage/irm:dates/@irm:infoCutOff,   
        ancestor::tdf:*//irm:ICResourceMetadataPackage/irm:temporalCoverage[irm:name='infoCutOff']/irm:approximableEnd/irm:searchableDate/irm:end)"/>
    <sch:param name="flag" value="'warning'"/>
</sch:pattern>