<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00103">
    <sch:p xmlns:ism="urn:us:gov:ic:ism" ism:classification="U" ism:ownerProducer="USA" class="ruleText">
        [PUBS-ID-00103][Error]
        If an element has @noteType then it cannot have @ism:noticeType or 
        @ism:unregisteredNoticeType.
        
        Human Readable: An element with attribute noteType cannot have the 
        ISM attributes noticeType or unregisteredNoticeType.
    </sch:p>
    
    <sch:p xmlns:ism="urn:us:gov:ic:ism" ism:classification="U" ism:ownerProducer="USA" class="codeDesc">
        If an element has a noteType attribute, then it may not have
        the ISM attributes noticeType or unregisteredNoticeType.
    </sch:p>
    
    <sch:rule id="PUBS-ID-00103-R1" context="pubs:*[@noteType]">
        <sch:assert test="not(@ism:unregisteredNoticeType|@ism:noticeType)" flag="error" role="error">
            [PUBS-ID-00103][Error]
            If an element has @noteType then it cannot have @ism:noticeType or 
            @ism:unregisteredNoticeType.
            
            Human Readable: An element with attribute noteType cannot have the 
            ISM attributes noticeType or unregisteredNoticeType.
        </sch:assert>
    </sch:rule>
</sch:pattern>